Subject: Re: bug#18285: 24.3.92; A combination of `display' on text and `invisible' and `before/after-string' leads to the before/after string being displayed twice

From: Eli Zaretskii <[email-masked]>
Date: Sun, 24 Aug 2014 05:40:47 +0300

> Date: Sun, 24 Aug 2014 03:21:28 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> 
> On 08/21/2014 06:07 PM, Dmitry Gutov wrote:
> 
> > The workaround of replacing
> > `before-string' + `invisible' with just `display' seems to function just
> > fine so far. For some reason, Nikolaj opted to render the completion
> > tooltip in Company with the former option, so I tried not to change it
> > too much.
> 
> And now I know why that was: `display' doesn't work on empty overlays, 
> but `before-string' and `after-string' do. That means +1 workaround.

Bu empty overlays don't need invisible at all, so I don't see a
problem.